Používanie súprav SDK tretích strán vo vašej aplikácii

Súpravy SDK tretích strán integrované vo vašej aplikácii môžu mať významný vplyv na jej kompatibilitu, výkonnosť, bezpečnosť, zabezpečenie a kvalitu.

Zmeny týkajúce sa súprav SDK tretích strán

Služba Google Play začne nahlasovať známe problémy s obľúbenými súpravami SDK v službe Play Console, aby pomohla zaistiť, že akýkoľvek softvér tretej strany, ktorý vaša aplikácia používa, spĺňa programové pravidlá pre vývojárov služby Google Play a pozitívne prispieva k vášmu používateľskému prostrediu.

Súpravu SDK, ktorú vaša aplikácia používa, identifikujeme pomocou súboru dependencií zahrnutom vo vašej aplikácii. V súbore dependencií sú uvedené všetky knižnice rôznych verzií, ktoré tvoria základ aplikácie. Aplikácie používajúce balík Android App Bundle poskytujú súbor dependencií predvolene. Aplikácie vytvorené pred augustom 2021 so súbormi APK obsahujú súbor dependencií (počnúc doplnkom Android pre Gradle 4.0).

Porozumenie problémom so súpravou SDK tretej strany vo vašej aplikácii

Ak máte problémy s verziami súprav SDK, ktoré vaša aplikácia používa, podrobnosti o nich nájdete v hornej časti stránky Ostrá verzia alebo na stránke Prehľad vydania služby Play Console.

Ak vaša aplikácia používa verziu súpravy SDK, ktorá môže spôsobiť, že aplikácia prestane spĺňať programové pravidlá pre vývojárov služby Google Play, nové vydania aplikácie používajúce túto verziu súpravy SDK môžu byť zamietnuté. V závislosti od typu porušenia pravidiel vás systém presmeruje na stránku, kde bude možné skontrolovať, či je vaše používanie súpravy SDK v súlade s pravidlami pre údaje používateľa. Prípadne budete môcť súpravu SDK odstrániť alebo vybrať inú verziu odporúčanú jej poskytovateľom.

Ak vaša aplikácia používa verziu súpravy SDK, ktorá je zastaraná alebo má závažné problémy, dostanete upozornenie, ktoré môže vyžadovať ďalšie kroky. Ak nás napríklad poskytovateľ súpravy SDK informuje, že vaša aplikácia používa zastaranú verziu súpravy SDK, aplikáciu môžete vydať, ale nebudete môcť vydať jej ďalšiu verziu so zastaranou verziou súpravy SDK. Bude potrebné použiť jej aktualizovanú verziu. Ak používate verziu súpravy SDK, o ktorej jej poskytovateľ nahlásil, že má závažné problémy, zobrazí sa upozornenie s opisom typu problému priamo do poskytovateľa súpravy SDK.

Ak máte otázky týkajúce sa verzie súpravy SDK, ktorá je zastaraná alebo má závažné problémy, odporúčame vám kontaktovať jej poskytovateľa.

Pomohlo vám to?
Ako ju môžeme zlepšiť?

Potrebujete ďalšiu pomoc?

Ak chcete problém rýchlo vyriešiť, prihláste sa a získajte ďalšie možnosti podpory

Vyhľadávanie
Vymazať vyhľadávanie
Zavrieť vyhľadávanie
Aplikácie Googlu
Hlavná ponuka
Vyhľadávanie v Centre pomoci
true
92637
false